<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="rkr.simplekeyboard.inputmethod">

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/protego_logo_color"
        android:label="@string/english_ime_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:supportsRtl="true">

        <activity
            android:name=".latin.settings.SettingsActivity"
            android:label="@string/english_ime_setup">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
            </intent-filter>
        </activity>

        <!-- Services -->
        <!-- 
        Add this to WebView activity if needed:
            android:process=":webactivity"
        -->
        <service
            android:name=".latin.LatinIME"
            android:label="@string/english_ime_name"
            android:permission="android.permission.BIND_INPUT_METHOD">
            <intent-filter>
                <action android:name="android.view.InputMethod" />
            </intent-filter>

            <meta-data
                android:name="android.view.im"
                android:resource="@xml/method" />
        </service>

        <service
            android:name="eu.protego.ca.edr.android.services.ProTegoAccessibilityService"
            android:label="@string/accessibility_service_label"
            android:permission="android.permission.BIND_ACCESSIBILITY_SERVICE">

            <intent-filter>
                <action android:name="android.accessibilityservice.AccessibilityService" />
            </intent-filter>

            <meta-data
                android:name="android.accessibilityservice"
                android:resource="@xml/accessibility_service_config" />

        </service>

        <service
            android:name="eu.protego.ca.edr.android.core.ProTegoCoreService"
            android:enabled="true"
            android:exported="true"></service>

        <service
            android:name="eu.protego.ca.edr.android.services.UpdateTrustService"
            android:enabled="true"></service>


        <!-- Broadcast receivers -->
        <receiver android:name=".latin.SystemBroadcastReceiver">
            <intent-filter>
                <action android:name="android.intent.action.LOCALE_CHANGED" />
            </intent-filter>
        </receiver>

        <receiver
            android:name="eu.protego.ca.edr.android.core.receiver.ProTegoCoreServiceReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.LOCALE_CHANGED" />
                <action android:name="android.intent.action.BOOT_COMPLETED" />
                <action android:name="android.intent.action.INPUT_METHOD_CHANGED" />
                <action android:name="android.intent.action.PACKAGE_INSTALL" />
                <action android:name="android.intent.action.PACKAGE_ADDED" />
                <action android:name="android.intent.action.MAIN" />
                <action android:name="eu.protego.ca.android.ui.login.ProTegoLoginActivity" />
            </intent-filter>
        </receiver>

        <!-- Devide admin -->
        <receiver android:name="eu.protego.ca.edr.android.core.receiver.ProTegoDeviceAdminReceiver" android:permission="android.permission.BIND_DEVICE_ADMIN">
            <meta-data android:name="android.app.device_admin"
                android:resource="@xml/policies" />

            <intent-filter>
                <action android:name="android.app.action.DEVICE_ADMIN_ENABLED"/>
            </intent-filter>

        </receiver>

    </application>

</manifest>